using System;
using System.Collections.Generic;
using System.IO;

/**
 * This class is part of the "World of Zuul" application. 
 * "World of Zuul" is a very simple, text based adventure game.
 * 
 * This class holds an enumeration of all command words known to the game.
 * It is used to recognise commands as they are typed in.
 *
 */

public class CommandWords
{
    // a constant array that holds all valid command words
    private static string[] validCommands = {
        "go", 
        "quit", 
        "help", 
        "inventory", 
        "take", 
        "drop",
        "look",
        "give",
        "light",
        "turn",
        "sweep"
    };

    /**
     * Constructor - initialise the command words.
     */
    public CommandWords()
    {
        // nothing to do at the moment...
    }

    /**
     * Check whether a given string is a valid command word. 
     * Return true if it is, false if it isn't.
     */
    public bool isCommand(string astring)
    {
        for(int i = 0; i < validCommands.Length; i++) {
            if(validCommands[i] == astring)
                return true;
        }
        // if we get here, the string was not found in the commands
        return false;
    }

    /*
     * Print all valid commands to System.out.
     */
    public void showAll() 
    {
        for(int i = 0; i < validCommands.Length; i++) {
            Console.Write(validCommands[i] + "  ");
        }
        Console.WriteLine();
    }
}
